{% extends "/admin/master.twig" %}

{% block title %}Dashboard - Categories{% endblock %}
{% block description %}Manage categories{% endblock %}

{% block header %}
    <script src="{{ asset('assets/js/list.min.js') }}"></script>
{% endblock %}

{% block body %}

    <div id="categories">
        <div class="ui huge fluid action input">
            <input class="search" type="text" placeholder="Search...">
            <button class="ui icon sort button" data-sort="name">
                <i class="search icon"></i>
            </button>
        </div>

        {% if message is not empty %}
            <div class="ui timed success message">
                <i class="close icon"></i>
                <div class="header">
                    Success!
                </div>
                {{ message }}
            </div>
        {% endif %}

        <div class="ui styled fluid accordion list">

            {% for cat in categories %}
                <div>
                    <div class="title ui grid">
                        <div class="fourteen wide paddingless column">
                            <h2 class="header s-name">{{ cat.name }}</h2>
                        </div>
                        <div class="two wide right aligned paddingless column">
                            <a class="ui right floated label s-id">{{ cat.id }}</a>
                        </div>
                    </div>

                    <div class="bottom attached content">
                        <div class="ui grid transition hidden">
                            <div class="fourteen wide column">
                                <p>{{ cat.description|raw }}</p>
                            </div>
                            <div class="two wide column">
                                <div class="ui right floated icon buttons">
                                    <a class="ui button edit-btn" data-tooltip="Edit" href="categories/edit/{{ cat.id }}">
                                        <i class="edit icon"></i>
                                    </a>
                                    <a class="ui button delete-btn" data-tooltip="Delete" href="?del={{ cat.id }}&t={{ token }}">
                                        <i class="trash icon"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
    </div>

    <script>
        const list_options = {
            valueNames: ['s-name', 's-id']
        };

        let catList = new List('categories', list_options);
    </script>

{% endblock %}
